%define name pcre
%define version 3.5
%define release 1mdk
%define major 0

Summary: 	PCRE is a Perl-compatible regular expression library
Name:	 	%name
Version: 	%version
Release: 	%release
License: 	BSD-Style
Group: 		File tools
Source: 	ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%name-buildroot
URL: 		http://www.pcre.org/
Requires: 	lib%{name}%{major}

%description
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. 
This package contains a grep variant based on the PCRE library.

%package -n lib%{name}%{major}
Group: System/Libraries
Summary: PCRE is a Perl-compatible regular expression library

%description -n lib%{name}%{major}
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h. The official POSIX name is
regex.h, but I didn't want to risk possible problems with existing files of
that name by distributing it that way. To use it with an existing program that
uses the POSIX API, it will have to be renamed or pointed at by a link.


%package -n lib%{name}%{major}-devel
Group: Development/C
Summary: Headers and static lib for pcre development
Requires: lib%{name}%{major} = %{version}
Provides: lib%{name}-devel

%description -n lib%{name}%{major}-devel
Install this package if you want do compile applications using the pcre library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure 

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun -n lib%{name}%{major} -p /sbin/ldconfig
 
%files
%defattr(-,root,root)
%doc doc/pcregrep.txt doc/pcregrep.html 

%_mandir/man1/pcregrep.1*
%_mandir/man1/pcretest.1*
%_bindir/*


#
%files -n lib%{name}%{major}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README NON-UNIX-USE 
%doc doc/pcre.txt doc/pcre.html

%_libdir/lib*.so.*

%_mandir/man3/pcre.3*


#
%files -n lib%{name}%{major}-devel
%defattr(-,root,root)
%doc doc/pcreposix.txt doc/pcreposix.html
%doc doc/perltest.txt doc/pcretest.txt doc/Tech.Notes

%_libdir/lib*.a
%_libdir/lib*.la
%_libdir/lib*.so
%_includedir/*.h

%_bindir/pcre-config

%_mandir/man3/pcreposix.3*

%changelog
* Fri Aug 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5-1mdk
- Update code

* Sat Apr 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4-3mdk
- Clean spec file

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4-2mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- new library naming scheme

* Fri Nov 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- initial Mandrake package

